<ion-header>

  <ion-navbar>
    <ion-title>
      Create Product
    </ion-title>
  </ion-navbar>

</ion-header>

<ion-content padding>
  <ion-list >
    <ion-item-sliding
      *ngFor="let product of products; let i = index">
      <ion-item
        text-wrap
        detail>
          <h2>
            <ion-icon
              name="ios-basket-outline"
              color="primary">
            </ion-icon>
             {{ product.name }}
          </h2>
          <h3>
            <ion-icon
              name="logo-usd"
              color="danger">
            </ion-icon>
              {{ product.currency }} ({{ product.price }})

          </h3>
          <ion-col>
            <button
              (click)="decrementProduct(product)"
              ion-button>
              <ion-icon name="remove"></ion-icon>
            </button>
            <span>
              {{ product.quantity }}
            </span>
            <button
              (click)="incrementProduct(product)"
              ion-button>
              <ion-icon name="add"></ion-icon>
            </button>
          </ion-col>
      </ion-item>
      <ion-item-options
          side="right">
        <button
          (click)="addProduct(product)"
          ion-button
          expandable
          color="primary">
          <ion-icon name="add"></ion-icon>
            Add
        </button>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
  <button
    [disabled]="productArray.length < 1"
    (click)="addAllProducts()"
    ion-button
    color="primary">
    <ion-icon name="add"></ion-icon>
      Add Product ({{productArray.length}})
  </button>
</ion-content>

